pkgname=switcheroo-control
pkgver=2.6
pkgrel=6
pkgdesc="D-Bus service to check the availability of dual-GPU"
url="https://gitlab.freedesktop.org/hadess/switcheroo-control"
arch=(x86_64)
license=(GPL3)
install="$pkgname.install"
depends=(
  glib2
  libgudev
  python-gobject
  libdrm
)
makedepends=(
  git
  meson
  python-dbus
  python-dbusmock
  systemd
)
_commit=d99d8c3ef9914d2f2fb5f4a2c945a4a4bff5eeeb
source=("git+$url.git#commit=$_commit"
		"0001-discrete.patch")
b2sums=('SKIP'
        '654e4c1b5e12cfe0266495ca224abf0a4ec984f5f04472e3b1bf236287dc85e6489a5094fdc7bf536dd0fa41a5588f53d3a53ee3f96d3d2c25862951c52ac821')

prepare(){
	cd $pkgname

	# https://gitlab.freedesktop.org/hadess/switcheroo-control/-/merge_requests/69
	patch -Np1 -i "../0001-discrete.patch"
}

build() {
  local meson_options=(
    -D gtk_doc=false
    -D tests=false
  )

  arch-meson $pkgname build "${meson_options[@]}"
  meson compile -C build
}

package() {
  meson install -C build --destdir "$pkgdir"
}

# vim:set sw=2 sts=-1 et:
